import frappe

def on_update(doc, method):
    # Проверяем, сменился ли статус на "Completed"
    if doc.boarding_status == "Completed":
        # Проверяем, является ли сотрудник CEO
        if doc.designation == "Chief Executive Officer":
            if doc.company:
                frappe.db.set_value("Company", doc.company, "ceo", doc.employee)
